<?php
/******************************************************************************
* Roster.php   
*******************************************************************************
Integrates WOW Roster into SMF
******************************************************************************/
if (!defined('SMF'))
	die('Hacking attempt...');

  
// The main dispatcher for the listings  
function Roster()
{
  global $context, $boarddir, $boardurl;
  
  // is this user allowed to view the roster via SMF?  (they can still view it with a direct URL)
  isAllowedTo('wowroster_view');
  
  // make sure WoW Roster is installed
  $roster_dir=$boarddir.'/roster';
  $smf_roster_conf = $roster_dir.'/smf_roster_conf.php';
  $conf=$roster_dir.'/conf.php';
  if ( !file_exists($conf) )
  {
    // Roster Directory is there
    if ( file_exists($roster_dir) )    
    {
      // create a smf_roster_conf.php
      if (!$handle = fopen($smf_roster_conf, 'w')) 
      {
        fatal_error("Unable to open configuration files.");
      }
      global $db_server, $db_name, $db_user, $db_passwd, $db_prefix;
      $conf_file='
<?php
$db_host=\''.$db_server.'\';
$db_name=\''.$db_name.'\';
$db_user=\''.$db_user.'\';
$db_passwd=\''.$db_passwd.'\';
$db_prefix=\''.$db_prefix.'roster_\';
?>
      ';
      if (fwrite($handle, $conf_file) === FALSE) 
      {
        fatal_error("Unable to write configuration files.");
      }
      fclose($handle);
    
      // start the install process
      $context['wowroster_install']=true;
    }
    else
      fatal_error('WoW Roster Folder NOT Found!');
  }  
  // remove the install folder and install.php file if conf.php is found
  else
  {
    if ( file_exists($boarddir.'/roster/upgrade.php') )    
      unlink($boarddir.'/roster/upgrade.php');
    if ( file_exists($smf_roster_conf) )    
      unlink($smf_roster_conf);
    if ( file_exists($boarddir.'/roster/install.php') )    
      unlink($boarddir.'/roster/install.php');
    if ( file_exists($boarddir.'/roster/install') )    
    {
      global $sourcedir;
      require_once($sourcedir . '/Subs-Package.php');
      deltree($boarddir.'/roster/install');
    }
  }  
  
  $user=$context['user']['id'];
  $is_admin=AllowedTo('wowroster_admin');
  $can_update=AllowedTo('wowroster_update');
  
  // TEST Tiny Portal Settings
//  $context['TPortal']['leftbar']=true;
//  $context['TPortal']['rightbar']=true;

  loadTemplate('Roster');
  
}


?>
